Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ow2.jasmine.vmm.api
Class ResourceUsage.NetworkStats

    java.lang.Object
      org.ow2.jasmine.vmm.api.ResourceUsage.NetworkStats

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  ResourceUsage

    public static class ResourceUsage.NetworkStats

extends java.lang.Object
implements java.io.Serializable

Network I/O performance metrics of a NIC

See Also:
  Serialized Form

Constructor Summary
`ResourceUsage.NetworkStats()` Constructs a new NetworkStats
`ResourceUsage.NetworkStats(java.lang.String deviceName, long netReceivedKbitPerSec, long netTransmittedKbitPerSec)` Constructs a new NetworkStats with specific parameters

Method Summary
`java.lang.String` | `getDeviceName()` Returns the name of the device
`long` | `getNetReceivedKbitPerSec()` Returns the number of kilobits received per second
`long` | `getNetTransmittedKbitPerSec()` Returns the number of kilobits transmitted per second
`void` | `setDeviceName(java.lang.String deviceName)` Sets the device name
`void` | `setNetReceivedKbitPerSec(long netReceivedKbitPerSec)` Sets the number of kilobits received per second
`void` | `setNetTransmittedKbitPerSec(long netTransmittedKbitPerSec)` Sets the number of kilobits transmitted per second
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResourceUsage.NetworkStats

    public ResourceUsage.NetworkStats()

  Constructs a new NetworkStats

### ResourceUsage.NetworkStats

    public ResourceUsage.NetworkStats(java.lang.String deviceName,
                                      long netReceivedKbitPerSec,
                                      long netTransmittedKbitPerSec)

  Constructs a new NetworkStats with specific parameters

  Parameters:
    `deviceName` - name of the NIC
    `netReceivedKbitPerSec` - number of kilobits received per second
    `netTransmittedKbitPerSec` - number of kilobits transmitted per second

Method Detail

### getDeviceName

    public java.lang.String getDeviceName()

  Returns the name of the device

  Returns:
    name of the device

### getNetReceivedKbitPerSec

    public long getNetReceivedKbitPerSec()

  Returns the number of kilobits received per second

  Returns:
    number of kilobits received per second

### getNetTransmittedKbitPerSec

    public long getNetTransmittedKbitPerSec()

  Returns the number of kilobits transmitted per second

  Returns:
    number of kilobits transmitted per second

### setDeviceName

    public void setDeviceName(java.lang.String deviceName)

  Sets the device name

  Parameters:
    `deviceName` - device name

### setNetReceivedKbitPerSec

    public void setNetReceivedKbitPerSec(long netReceivedKbitPerSec)

  Sets the number of kilobits received per second

  Parameters:
    `netReceivedKbitPerSec` - number of kilobits received per second

### setNetTransmittedKbitPerSec

    public void setNetTransmittedKbitPerSec(long netTransmittedKbitPerSec)

  Sets the number of kilobits transmitted per second

  Parameters:
    `netTransmittedKbitPerSec` - number of kilobits transmitted per second

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 OW2 Consortium. All Rights Reserved.